# $Revision: 1.29 $, $Date: 2009/07/06 10:31:09 $
Summary:	XML-RPC C library - an implementation of the xmlrpc protocol
Summary(pl.UTF-8):	Biblioteka XML-RPC C - implementacja protokołu xmlrpc
Name:		xmlrpc-c
Version:	1.14.2
Release:	3
License:	XML-RPC for C License (BSD-like)
Group:		Libraries
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	cbd9675dc48819d5f745b775fca7d425
Patch0:		%{name}-fastdep.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-cflags.patch
Patch3:		%{name}-fixed-broken-format-string-modifiers-for-size_t-type.patch  
Patch4:         %{name}-use-proper-datatypes.patch
URL:		http://xmlrpc-c.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	w3c-libwww-devel >= 5.4.0-11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML-RPC C library - an implementation of the xmlrpc protocol.

%description -l pl.UTF-8
Biblioteka XML-RPC C - implementacja protokołu xmlrpc.

%package devel
Summary:	Header files etc to develop XML-RPC applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji XML-RPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.0
Requires:	w3c-libwww-devel

%description devel
Header files etc needed to develop XML-RPC applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia aplikacji używających XML-RPC.

%package static
Summary:	Static XML-RPC C libraries
Summary(pl.UTF-8):	Biblioteki statyczne XML-RPC C
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XML-RPC C libraries.

%description static -l pl.UTF-8
Biblioteki statyczne XML-RPC C.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
# hack: libtoolize removes config.* here
cp -f /usr/share/automake/{missing,config.*} .
%{__aclocal}
%{__autoconf}
%configure \
	--enable-abyss-server \
	--enable-cgi-server \
	--enable-cplusplus \
	--enable-libxml2-backend \
	--enable-curl-client \
	--enable-libwww-client \
	--with-libwww-ssl \
	--enable-abyss-threads

%{__make} -j1 \
	CFLAGS_PERSONAL="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBINST_DIR=%{_libdir}

rm $RPM_BUILD_ROOT%{_includedir}/xmlrpc_server_w32httpsys.h \
	$RPM_BUILD_ROOT%{_includedir}/xmlrpc-c/server_w32httpsys.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{COPYING,CREDITS,HISTORY,SECURITY,TODO}
# C
%attr(755,root,root) %{_libdir}/libxmlrpc-c.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc-c.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_abyss.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_abyss.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_client.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_client.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_server.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_abyss.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_server_cgi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_cgi.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_util.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_util.so.3
# C++
%attr(755,root,root) %{_libdir}/libxmlrpc++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc++.so.4
%attr(755,root,root) %{_libdir}/libxmlrpc_client++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_client++.so.4
%attr(755,root,root) %{_libdir}/libxmlrpc_cpp.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_cpp.so.4
%attr(755,root,root) %{_libdir}/libxmlrpc_packetsocket.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_packetsocket.so.4
%attr(755,root,root) %{_libdir}/libxmlrpc_server++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server++.so.4
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_abyss++.so.4
%attr(755,root,root) %{_libdir}/libxmlrpc_server_pstream++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_pstream++.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/{DEVELOPING,TESTING}
%attr(755,root,root) %{_bindir}/xmlrpc-c-config
# C
%attr(755,root,root) %{_libdir}/libxmlrpc-c.so
%attr(755,root,root) %{_libdir}/libxmlrpc_abyss.so
%attr(755,root,root) %{_libdir}/libxmlrpc_client.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_cgi.so
%attr(755,root,root) %{_libdir}/libxmlrpc_util.so
%dir %{_includedir}/xmlrpc-c
%{_includedir}/xmlrpc-c/*.h
# legacy
%{_includedir}/xmlrpc*.h
# C++
%attr(755,root,root) %{_libdir}/libxmlrpc++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_client++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_cpp.so
%attr(755,root,root) %{_libdir}/libxmlrpc_packetsocket.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_pstream++.so
%{_includedir}/xmlrpc-c/*.hpp
# legacy
%{_includedir}/XmlRpcCpp.h

%files static
%defattr(644,root,root,755)
# C
%{_libdir}/libxmlrpc-c.a
%{_libdir}/libxmlrpc_abyss.a
%{_libdir}/libxmlrpc_client.a
%{_libdir}/libxmlrpc_server.a
%{_libdir}/libxmlrpc_server_abyss.a
%{_libdir}/libxmlrpc_server_cgi.a
%{_libdir}/libxmlrpc_util.a
# C++
%{_libdir}/libxmlrpc++.a
%{_libdir}/libxmlrpc_client++.a
%{_libdir}/libxmlrpc_cpp.a
%{_libdir}/libxmlrpc_packetsocket.a
%{_libdir}/libxmlrpc_server++.a
%{_libdir}/libxmlrpc_server_abyss++.a
%{_libdir}/libxmlrpc_server_pstream++.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmlrpc-c.spec,v $
Revision 1.29  2009/07/06 10:31:09  baggins
- rel 3

Revision 1.28  2008/12/27 08:43:31  qboosh
- updated rpmcflags passing, now are used again

Revision 1.27  2008/09/19 13:13:28  pluto
- release 2 for rebuild with fixed w3c-libwww/ssl issue.

Revision 1.26  2008/09/19 09:32:21  pluto
- enable libwww/ssl, fix 64-bits install, release 1.

Revision 1.25  2008/07/19 22:17:01  charles
- BR: libstdc++-devel (-devel R: libstdc++-devel)
- updated -soname.patch

Revision 1.24  2008/05/14 16:51:54  qboosh
- updated soname patch, removed obsolete syntax-fix patch
- cleanup, package legacy header symlinks

Revision 1.23  2008-05-11 16:32:56  areq
- 1.14.2 NFY
- soname.patch must be updated

Revision 1.22  2008-05-10 16:17:54  shadzik
- add patch4 to fix build with curl
- rel 4

Revision 1.21  2007-12-06 09:51:06  adamg
- fix syntax in xmlrpc-c-config; release 3

Revision 1.20  2007/07/13 11:10:18  arekm
- rel 2

Revision 1.19  2007/04/11 07:11:18  arekm
- up to 1.10.00

Revision 1.18  2007/04/11 06:52:43  arekm
- symlink deps fixed

Revision 1.17  2007/04/11 06:45:48  arekm
- up to 1.06.11-1

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.13  2006/09/04 12:58:19  baggins
- rel 2
- added cflags patch

Revision 1.12  2006/09/04 11:54:41  baggins
- up to 1.06.04
- removed obsolete patches

Revision 1.11  2006/02/21 14:30:17  baggins
- release 2
- proper req for devel package

Revision 1.10  2006/02/21 14:11:33  baggins
- release 1

Revision 1.9  2006/02/21 14:07:40  baggins
- updated to 1.03.11
- fixed b0rken Makefiles

Revision 1.8  2006/02/21 12:47:05  baggins
- trying to build on x8664

Revision 1.7  2006/01/11 16:21:39  baggins
- updated to 1.03.10

Revision 1.6  2005/03/24 18:18:03  baggins
- release 3
- --enable-libwww-client

Revision 1.5  2005/03/24 15:40:12  baggins
- release 2
- soname patch to resolve conflict with xmlrpc-epi (s/xmlrpc/xmlrpc-c/g)

Revision 1.4  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.3  2003/10/12 19:06:09  qboosh
- pl description, moved base docs to base, *.so symlink to -devel

Revision 1.2  2003/09/15 22:04:03  krzak
-  --disable-libwww-client

Revision 1.1  2003/09/15 03:52:49  krzak
- initial
